[Prev: MIMEDECODERS] | [Resources][TOC] | [Next: MIMEFILTERS]

# MIMEEXCS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<MIMEEXCS>`
  content-type
  content-type
  ...
  `</MIMEEXCS>`

Command-line Option

  N/A

## Description

MIMEEXCS defines the list of content-types to exclude from processing. The exclusion occurs before the data is processed to any filters registered via the MIMEFILTERS resource.

For example, if MIMEEXCS is set to the following:

    <MIMEExcs>
    image/jpg
    image/gif
    </MIMEExcs>

Then JPEG and GIF images will be excluded.

Base types can be listed in order exclude all content-types with a give base. For example,

    <MIMEExcs>
    image
    </MIMEExcs>

will exclude all images.

If all you want to do is include a specified set of media-types, then use the MIMEINCS resource instead.

## Default Setting

Nil.

## Resource Variables

N/A

## Examples

The following example excludes all binaries, images, and postscript data:

    <MIMEExcs>
    application/octet-stream
    application/postscript
    image
    </MIMEExcs>

The following is a very restrictive setting to minimize security risks and large data files:

    <MIMEExcs>
    application
    image
    audio
    video
    text/html
    </MIMEExcs>

For tighter control of allowable media-types, see the MIMEINCS resource.

## Version

2.4.9

## See Also

MIMEALTPREFS, MIMEFILTERS, MIMEINCS

[Prev: MIMEDECODERS] | [Resources][TOC] | [Next: MIMEFILTERS]